import React from 'react';
//import styles from './CardViewStyles.less';
import PropTypes from 'prop-types';
import { connect } from 'dva';
import {
  Card,
  WhiteSpace,
  Flex,
} from 'antd-mobile';
import MyBodyCard from "../components/CardViewTwo";
class CardThreeContent extends React.Component{
  componentWillMount() {
    const { dispatch } = this.props;
    dispatch({ type: 'home/getSummaryData',payload: { pNumber:'浦东新区' }});
  }
  render(){
    return(
      <div>
        <WhiteSpace size="lg" style={{background:"#eee"}} />
        <Card full>

          <CardOne/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardTwo/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardThree/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardFour data={this.props.home.SummaryData}/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardFive/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardSix/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardSeven/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardEight/>
          <WhiteSpace size="lg" style={{background:"#eee"}}  />
          <CardNine/>
        </Card>
      </div>
    );
  }
}

class CardOne extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>当日签约统计</span>
          }
          extra={
            <span>2018/02/28</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>签约数</div>
                <div>0</div>
              </Flex>
            </Flex.Item>
            <Flex.Item style={{marginLeft:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>产权调换(证)</div>
                <div>0</div>
              </Flex>
            </Flex.Item>
          </Flex>

          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>货币（证）</div>
                <div>0</div>
              </Flex>
            </Flex.Item>
            <Flex.Item>

            </Flex.Item>
          </Flex>
        </Card.Body>
      </div>
    );
  }
}

class CardTwo extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>当日撤销统计</span>
          }
          extra={
            <span>2018/02/28</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>翻协议次数</div>
                <div>0</div>
              </Flex>
            </Flex.Item>
            <Flex.Item style={{marginLeft:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>翻协议总次数(证)</div>
                <div>503</div>
              </Flex>
            </Flex.Item>
          </Flex>

          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>行政撤销次数</div>
                <div>0</div>
              </Flex>
            </Flex.Item>
            <Flex.Item>
              <Flex style={{justifyContent:"space-between"}}>
                <div>行政撤销总次数</div>
                <div>3</div>
              </Flex>
            </Flex.Item>
          </Flex>
        </Card.Body>
      </div>
    );
  }
}

class CardThree extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>是否锁定统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>未锁定证数</div>
                <div>1</div>
              </Flex>
            </Flex.Item>
            <Flex.Item>
              <Flex style={{justifyContent:"space-between"}}>
                <div>已锁定证数</div>
                <div>444</div>
              </Flex>
            </Flex.Item>
          </Flex>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>已锁定比例</div>
                <div>99.78%</div>
              </Flex>
            </Flex.Item>
            <Flex.Item style={{marginLeft:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>当日解锁次数</div>
                <div>0</div>
              </Flex>
            </Flex.Item>
          </Flex>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>累计解锁次数</div>
                <div>104</div>
              </Flex>
            </Flex.Item>
            <Flex.Item>
            </Flex.Item>
          </Flex>

        </Card.Body>
      </div>
    );
  }
}

class CardFour extends React.Component{

  render(){


    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>事务所统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <MyBodyCard data={this.props.data}/>
      </div>
    );
  }
}

class CardFive extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>基地进度统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              序号
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              项目名称
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              数值
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardFiveBody/>
        <CardFiveBody/>
        <CardFiveBody/>
        <CardFiveBody/>
      </div>
    );
  }
}

class CardFiveBody extends React.Component{
  render(){
    return(
      <div>
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.6rem",minHeight:"0"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              01
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              总产证数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              445
            </Flex.Item>
          </Flex>

        </Card.Body>

      </div>
    );
  }
}

class CardSix extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>成本统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              序号
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              项目名称
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              数值
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardSixBody/>
        <CardSixBody/>
        <CardSixBody/>
        <CardSixBody/>
      </div>
    );
  }
}

class CardSixBody extends React.Component{
  render(){
    return(
      <div>
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.6rem",minHeight:"0"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              01
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              签约总成本
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              1373515522.32
            </Flex.Item>
          </Flex>

        </Card.Body>

      </div>
    );
  }
}

class CardSeven extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>使用房源统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              序号
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              项目名称
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              数值
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardSevenBody/>
        <CardSevenBody/>
        <CardSevenBody/>
        <CardSevenBody/>
      </div>
    );
  }
}

class CardSevenBody extends React.Component{
  render(){
    return(
      <div>
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.6rem",minHeight:"0"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"2"}}>
              01
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              安置房屋总套数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              278
            </Flex.Item>
          </Flex>

        </Card.Body>

      </div>
    );
  }
}

class CardEight extends React.Component{
  render(){
    return(
      <div>
        <Card.Header
          title={
            <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>基地房源统计</span>
          }
          style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
        />
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>房源总套数</div>
                <div>610</div>
              </Flex>
            </Flex.Item>
            <Flex.Item>
              <Flex style={{justifyContent:"space-between"}}>
                <div>签约使用套数</div>
                <div>444</div>
              </Flex>
            </Flex.Item>
          </Flex>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>未使用套数</div>
                <div>312</div>
              </Flex>
            </Flex.Item>
            <Flex.Item style={{marginLeft:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>已使用比例</div>
                <div>48.85</div>
              </Flex>
            </Flex.Item>
          </Flex>
          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>未锁定建委锁定套数</div>
                <div>104</div>
              </Flex>
            </Flex.Item>
            <Flex.Item>
              <Flex style={{justifyContent:"space-between"}}>
                <div>裁决用房套数</div>
                <div>30</div>
              </Flex>
            </Flex.Item>
          </Flex>

          <Flex style={{padding:"1rem 0"}}>
            <Flex.Item style={{marginRight:"0.75rem"}}>
              <Flex style={{justifyContent:"space-between"}}>
                <div>推进用房套数</div>
                <div>580</div>
              </Flex>
            </Flex.Item>
            <Flex.Item>
              <Flex style={{justifyContent:"space-between"}}>
                <div>房型</div>
                <div>0</div>
              </Flex>
            </Flex.Item>
          </Flex>

        </Card.Body>
      </div>
    );
  }
}

class CardNine extends React.Component{
  render(){
    return(
      <div>
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.7rem"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"3"}}>
              小区名称
            </Flex.Item>
            <Flex.Item style={{flex:"2"}}>
              套数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              已使用套数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              未使用套数
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              已使用比例
            </Flex.Item>
          </Flex>

        </Card.Body>
        <CardNineBody/>
        <CardNineBody/>
        <CardNineBody/>
        <CardNineBody/>
      </div>
    );
  }
}

class CardNineBody extends React.Component{
  render(){
    return(
      <div>
        <Card.Body style={{padding:"0 1.5rem",fontSize:"0.6rem",minHeight:"0"}}>
          <Flex style={{padding:"0.4rem 0"}}>
            <Flex.Item style={{flex:"3"}}>
              共乐路
            </Flex.Item>
            <Flex.Item style={{flex:"2"}}>
              6
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              0
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              6
            </Flex.Item>
            <Flex.Item style={{flex:"3"}}>
              0
            </Flex.Item>
          </Flex>

        </Card.Body>

      </div>
    );
  }
}

CardThreeContent.propTypes = {
  home: PropTypes.object,
};
// 指定订阅数据，这里关联了 login
function mapStateToProps({ home }) {
  return {home};
}
export default connect(mapStateToProps)(CardThreeContent);
